%define ver     4.1.1

Summary: LSB Library checker
Name: lsb-libchk
Version: %ver
Release: 2
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-libchk-%ver.tar.gz
BuildRoot: /var/tmp/lsb-libchk-root
AutoReqProv: no
Requires: lsb-setup
# LSB 3.0 support is different due to differing provides
# use --nodeps or install the 3.0 released package for that
Requires: lsb >= 3.1

%description

lsblibchk is a program which looks for LSB libraries and checks that
those libraries contain the symbols required by the specification.  If
it is required that the symbol be versioned it checks that the symbol
with the correct version exists in the library. This program can be
used for checking either the runtime LSB environment or the LSB build
environment.

%prep
%setup -q

%build
# for 4.1, remove LSB_MODULES=Multimedia 
LSBCC_BESTEFFORT=1 CC=/opt/lsb/bin/lsbcc CXX=/opt/lsb/bin/lsbc++ make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} all test

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-libchk
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-libchk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/dummy_link
/opt/lsb/bin/libchk
/opt/lsb/bin/lsblibchk
%dir /opt/lsb/doc/lsb-libchk
/opt/lsb/doc/lsb-libchk/Licence
/opt/lsb/doc/lsb-libchk/README
/opt/lsb/man/man1/lsblibchk.1

%changelog
* Thu Feb 24 2011 Stew Benedict <stewb@linux-foundation.org>
- own the directories we populate (bug 3195)

* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

* Tue Jan 06 2004 Marvin Heffler <heffler@us.ibm.com>
- Package everything in /opt/lsb instead of listing items individually

* Tue Aug 26 2003 Christopher Yeoh <cyeoh@samba.org>
- Adds packaging of libchk and dummy_link

* Wed Jul 17 2002 Christopher Yeoh <cyeoh@samba.org>
- Adds lsblibchk.1 manpage to package

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.2.1
- Various interface fixes
- Adds a version tag to journal

* Mon Jun 17 2002 Christopher yeoh <cyeoh@samba.org>
- Updated for 1.2
- Resync with 1.2 specification db
- Adds support for PPC32

* Mon May 6 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.4 release

* Mon Apr 29 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.3 release
- Adds support for ia64

* Thu Mar 21 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.2 release

* Mon Jan 7 2002 Christopher Yeoh <cyeoh@samba.org>
- Fixes licence notice
- Update for latest lsblibchk

* Wed Dec 19 2001 Christopher Yeoh <cyeoh@samba.org>
- Initial package

